Select FASTA (fna,faa) files (shift):

# Proteinortho Helper

The resulting proteinortho command (replace proteinortho with 'perl proteinortho6.pl' for a local execution):
$
proteinortho

## Main parameters

-step
Do all steps (1-3)
1: Build Databases
2: All versus all blast
3: Clustering
-project : prefix for all resulting file names
-cpus : the number of processors/ threads
-ram : maximal ram threshold for LAPACK and the input graph in MB. auto-detect : use 90% of free memory available
MB
-verbose : the verbosity level?
0
1
2
Additional Flags
-selfblast : apply selfblast, detects paralogs without orthologs.
-silent : verbosity level 0
-clean : removes all database-index-files generated by the -p algorithm afterwards.
-keep : save all intermediate results (inside the folder: *proteinortho_cache/).
-force : forces the recalculation of the blast results in any case in step=2 and the rebuilding of the databases in step=1.
-desc : write description files (for NCBI FASTA input only)
-cleanblast : cleans blast-graph with proteinortho_cleanupblastgraph (either generated in step 2 or loaded in step 3)
-debug
-binpath : path to your local executables (blast, diamond, mcl, ...), e.g. /home/paul/bin/
-tmp : path to the temporary files. E.g. /tmp/ or to a proteinortho_cache_* directory of a previous run (use the -keep option).

## Search options (step 1-2)

-p : the underlying algorithm for the all-versus-all search. The algorithm has to be installed on your system (try calling from the command line, e.g. "diamond"). If you want to point proteinortho to your binaries, use -binpath.
blast+ (nucleotides) homepage
blast+ (proteins)
tblastx
diamond (proteins) homepage
last (nucleotides) homepage
last (proteins)
rapsearch2 (proteins) homepage
mmseqs2 (proteins) homepage
mmseqs2 (nucleotide)
topaz (proteins) homepage
usearch (proteins) homepage
ublast (proteins)
blat (proteins) homepage
blat (nucleotides)
-e : evalue threshold for the search algorithm. Increasing this threshold will result in more hits (be careful of false positives).
-sim : minimal similarity threshold for additional hits. The RBH (reciprocal best hit blast graph) only contains the best/maximal hits between two species, this corresponds to -sim=1. With 0.95 the best 5% are taken (adaptive RBH).
-identity : min. percent identity of best blast hits in %
-cov : min. coverage of best blast alignments in %
-subparaBlast : additional parameters for the search tool(-p). Careful when changing -p, then this option may lead to errors.?
''
-checkfasta : checks if the given algorithm (-p) can process the input fasta file.
-identical : only return entries that are 100% identical.
-range : maximal length difference for any blast hit. e.g. 0 = filter for hits between proteins of same length. -1=disabled
-isoform : Enables the isoform processing: Treat all isoforms as one protein(family) and choose the best blast score adaptively for each comparison. E.g. Let I1 and I2 two isoforms, I1 reciprocally matches A and I2 B but no other hits are found: with this option the output is A-I-B (results of I1 and I2 are merged)
disabled
ncbi (Different proteins have the same gene id. The word isoform is mandatory!)
uniprot (Isoforms are specified in uniprot style using the '*_additional.fa' files, just add these files to the analysis)
trinity (Isoforms are given in the trinity ids TRINITY_DN1000_c115_g5_i1 -> isoform 1)

## Synteny options (optional, step 2)

-synteny : activate PoFF extension to separate similar by contextual adjacencies. Requires a .gff for each .fasta in the same directory with same names.
-dups : number of reiterations for adjacencies heuristic, to determine duplicated regions
-cs : Size of a maximum common substring (MCS) for adjacency matches
-alpha : weight of adjacencies vs. sequence similarity

## Clustering options (step 3)

-conn : minimal required algebraic connectivity for each connected component/group. This is the main parameter for the clustering algorithm. The higher this value, the more splits are made.
-purity : avoid spurious graph assignments by increasing this value
-minspecies : minimal number of genes per species for each group. If a group is found with up to (minspecies) genes/species, it wont be split again (regardless of the connectivity). A value of 0 is always satisfied.
-subparaCuster : additional parameters for the clustering algorithm?
''
Additional Flags
-nograph : do not generate the pairwise orthology relations file (*-graph).
-singles : report groups only containing a single genes without any hits.
-xml : do generate an orthoXML file (www.orthoxml.org). You can also use proteinortho2xml.pl.
-mcl : enables the mcl algorithm for clustering instead of power iteration + lapack. (needs mcl to be installed, call 'mcl' to test if you installed mcl correctly)
-exactstep3 : perform the clustering without the k-mere heuristic. The k-mere heuristic is only applied for very large connected components (>1e+6 nodes) and if the algorithm would start to iteratate very slowly.
-core : output only groups that span across all species. Overrules the -conn threshold.

## Options for large compute jobs

-jobs : If you want to involve multiple machines or separate a Proteinortho run into smaller chunks, use the -jobs=M/N option. First, run 'proteinortho6.pl -steps=1 ...' to generate the indices. Then you can run 'proteinortho6.pl -steps=2 -jobs=M/N ...' to run small chunks separately. Instead of M and N numbers must be set representing the number of jobs you want to divide the run into (M) and the job division to be performed by the process. E.g. to divide a Proteinortho run into 4 jobs to run on several machines, use 'proteinortho6.pl -steps=2 -jobs=1/4', 'proteinortho6.pl -steps=2 -jobs=1/4', 'proteinortho6.pl -steps=2 -jobs=2/4', 'proteinortho6.pl -steps=2 -jobs=3/4', 'proteinortho6.pl -steps=2 -jobs=4/4'.
N = (only available for -step=2)